%define momorel 2
Summary: Japanese Console for Linux Frame Buffer Device
Name: jfbterm
Version: 0.4.3
Release: %{momorel}m
License: BSD
Group: Applications/System
Source: http://downloads.sourceforge.jp/jfbterm/5947/jfbterm-%{version}.tar.gz
NoSource: 0
Patch0: jfbterm.conf.patch
Patch1: jfbterm.Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://jfbterm.sourceforge.jp
PreReq: coreutils, grep, termcap
BuildPreReq: XFree86
BuildPreReq: efont-unicode-bdf
BuildPreReq: intlfonts
BuildPreReq: japanese-fonts

%description
Multilingual Console for Linux Frame Buffer Device

%prep
%setup -q
%patch0 -p1 -b .conf
%patch1 -p1
cp -p /usr/X11R6/lib/X11/fonts/japanese/shnm8x16r.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/japanese/shnmk16.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/japanese/shnm8x16r.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/intlfonts/jksp16.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/misc/gb16fs.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/misc/hanglg16.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/misc/8x16.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/misc/8x13-ISO8859-*.pcf.gz fonts/
cp -p /usr/X11R6/lib/X11/fonts/efont-unicode/b16.pcf.gz fonts/

%build
%configure --enable-direct-color
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/fonts/jfbterm
%makeinstall
mv %{buildroot}%{_sysconfdir}/jfbterm.conf.sample %{buildroot}%{_sysconfdir}/jfbterm.conf
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man5
install -m 644 jfbterm.1 %{buildroot}%{_mandir}/man1
install -m 644 jfbterm.conf.5 %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README*
%config %{_sysconfdir}/jfbterm.conf
%attr(4755,root,root) %{_bindir}/jfbterm
%{_datadir}/fonts/jfbterm
%{_mandir}/man*/*

%ChangeLog
* Tue Apr  6 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.3-2m)
- not enumerate all of font file name.

* Tue Sep 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.3-1m)
- bugfixes

* Mon Sep 15 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.2-1m)
- include font files

* Thu May 29 2003 Shingo Akagaki <droa@kitty.dnsalias.org>
- (0.3.12-1m)
- version 0.3.12

* Fri Feb 15 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.3.10-20k)
- update Source0 URL

* Tue May 22 2001 Toru Hoshina <toru@df-usa.com>
- (0.3.10-18k)

* Tue May  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.10-16k)
- add termcap to PreReq tag

* Sun May  6 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.3.10-14k)
- add PreReq tag for %post section

* Tue Apr 17 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- applied gcc296 patch

* Sun Apr 15 2001 Toru Hoshina <toru@df-usa.com>
- revised spec file.
- add ppc support.
* Fri Oct 20 2000 Toru Hoshina <toru@df-usa.com>
- *Req*:tag never use ABS path

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Apr 25 2000 Kenzi Cano <kc@furukawa.ch.kagu.sut.ac.jp>
- up to 0.3.10

* Wed Dec 01 1999 Motonobu Ichimura <famao@kondara.org>
- up to 0.3.7 

* Wed Nov 17 1999 Motonobu Ichimura <famao@kondara.org>
- up to 0.2.3

* Fri Nov 12 1999 Motonobu Ichimura <famao@kondara.org>
- up to 0.2.2

* Mon Nov 08 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Oct 23 1999 Motonobu Ichimura <famao@kondara.org>
- removed termcap and some changes added.
- not use terminfo.kon but terminfo.jfbterm

* Sat Oct 02 1999 Motonobu Ichimura <g95j0116@mn.waseda.ac.jp>
- first release
